Bug 1276875 - SELinux is preventing qemu-system-x86 from 'getattr' accesses on the file /run/udev/data/c189:15. [NEEDINFO]
SELinux is preventing qemu-system-x86 from 'getattr' accesses on the file /ru...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
23
x86_64 Unspecified
medium Severity medium
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:95b95d9a18a01dc8a4213373c2b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-31 15:23 EDT by Francesco Frassinelli (frafra)
Modified: 2016-12-20 10:16 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:16:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgrepl: needinfo? (fraph24)


Attachments (Terms of Use)

  None (edit)
Description Francesco Frassinelli (frafra) 2015-10-31 15:23:25 EDT
Description of problem:
Redirecting USB device using virt-manager.
SELinux is preventing qemu-system-x86 from 'getattr' accesses on the file /run/udev/data/c189:15.

*****  Plugin catchall (100. confidence) suggests   **************************

If si crede che qemu-system-x86 dovrebbe avere possibilità di accesso getattr sui c189:15 file in modo predefinito.
Then si dovrebbe riportare il problema come bug.
E' possibile generare un modulo di politica locale per consentire questo accesso.
Do
consentire questo accesso per il momento eseguendo:
# grep qemu-system-x86 /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:svirt_t:s0:c414,c1020
Target Context                system_u:object_r:udev_var_run_t:s0
Target Objects                /run/udev/data/c189:15 [ file ]
Source                        qemu-system-x86
Source Path                   qemu-system-x86
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-152.fc23.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.2.3-300.fc23.x86_64 #1 SMP Mon
                              Oct 5 15:42:54 UTC 2015 x86_64 x86_64
Alert Count                   1
First Seen                    2015-10-31 20:21:13 CET
Last Seen                     2015-10-31 20:21:13 CET
Local ID                      eb439d47-dbc7-438e-b8c8-6a669031f3d8

Raw Audit Messages
type=AVC msg=audit(1446319273.657:888): avc:  denied  { getattr } for  pid=30447 comm="qemu-system-x86" path="/run/udev/data/c189:15" dev="tmpfs" ino=388874 scontext=system_u:system_r:svirt_t:s0:c414,c1020 tcontext=system_u:object_r:udev_var_run_t:s0 tclass=file permissive=1


Hash: qemu-system-x86,svirt_t,udev_var_run_t,file,getattr

Version-Release number of selected component:
selinux-policy-3.13.1-152.fc23.noarch

Additional info:
reporter:       libreport-2.6.2
hashmarkername: setroubleshoot
kernel:         4.2.3-300.fc23.x86_64
type:           libreport
Comment 1 Julian Tosh 2015-11-13 08:50:01 EST
Description of problem:
I'm trying to use virt-manager USB redirection to boot a VM from a USB stick.

Version-Release number of selected component:
selinux-policy-3.13.1-152.fc23.noarch

Additional info:
reporter:       libreport-2.6.3
hashmarkername: setroubleshoot
kernel:         4.2.5-300.fc23.x86_64
type:           libreport
Comment 2 Miroslav Grepl 2015-11-20 07:31:04 EST
Did you need to switch to permissive mode to make it working?
Comment 3 Fedora Admin XMLRPC Client 2016-09-27 10:59:42 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2016-11-24 08:00:20 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 10:16:57 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.